Ethiack Docs
Event reports

List Event Reports

GET
/v1/events/{event_slug}/reports/

Retrieves a list of reports associated with a specified event.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

event_slug*string

The slug of the event whose reports are to be listed

Query Parameters

page?integer

Page number

per_page?integer

Number of reports per page

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/events/string/reports/"
{
  "reports": [
    {
      "id": 0,
      "generation_date": null,
      "start_date": "2019-08-24T14:15:22Z",
      "end_date": "2019-08-24T14:15:22Z",
      "created": "2019-08-24T14:15:22Z",
      "options": {},
      "event_id": 0,
      "error": null
    }
  ]
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}